using System;
using System.Windows.Forms;

namespace Resolution_Editor
{
    static class Program
    {
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new Main());
        }

        public static void Message(String Message, params Object[] Args)
        {
            String FormattedMessage = String.Format(Message, Args);

            MessageBox.Show(FormattedMessage, Properties.Settings.Default.Name, MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1);
        }

        public static Boolean Question(String Message, params Object[] Args)
        {
            String FormattedMessage = String.Format(Message, Args);

            DialogResult Result = MessageBox.Show(FormattedMessage, Properties.Settings.Default.Name, MessageBoxButtons.YesNo, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1);

            if (Result == DialogResult.Yes) { return true; }
            else { return false; }
        }
    }
}
